---
title: '<xsl:if>'
slug: Web/XSLT/Element/if
tags:
  - Element
  - Reference
  - XSLT
  - if
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:if&gt;</code> element contains a test attribute and a template. If the test evaluates to true, the template is processed. In this it is similar to an if statement in other languages. To achieve the functionality of an if-then-else statement, however, use the <code>&lt;xsl:choose&gt;</code> element with one <code>&lt;xsl:when&gt;</code> and one <code>&lt;xsl:otherwise&gt;</code> children.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:if test=EXPRESSION&gt;
	TEMPLATE
&lt;/xsl:if&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>test</code></dt>
 <dd>Contains an XPath expression that can be evaluated (using the rules defined for <code>boolean( )</code> if necessary) to a Boolean value. If the value is true, the template is processed; if it is not, no action is taken.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSL section 9.1.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported</p>
